V1 APIConfiguration
Get website configuration
Website configuration for the property.
Deprecated
GET
/api/v1/property/{property}/websiteWebsite configuration for the property.
Path Parameters
property*string
Property UUID. This route is unauthenticated and unscoped, so it does not accept a slug — to address a property by slug, use /api/v1/connection/{connection}/property/{property}.
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/property/019dbc38-d49e-7310-95d4-711a5b7a4b40/website"{ "primaryForm": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "fields": [ { "label": "string", "value": "string", "selected": true, "valid": true } ], "buttonText": "string", "disclaimer": "string", "redirect": "string", "confirmation": "string", "limitMoveInDate": "string", "integrations": [ { "name": "string", "id": 0, "category": "string", "supportsLeadCreation": true, "supportsAppointmentCreation": true } ] }, "waitlistForm": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "fields": [ { "label": "string", "value": "string", "selected": true, "valid": true } ], "buttonText": "string", "disclaimer": "string", "redirect": "string", "confirmation": "string", "limitMoveInDate": "string" }, "settings": { "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "apartmentId": "cc8f1b29-f832-4071-a50f-84af80190bd2" }}